Add payment for settlement
Add a payment for a settlement.
amount is in cents.
If paidAt is nil, it is set to now.
Required permissions: PAYMENT
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payments
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+settlementUidstringRequiredPattern:
Reference to a settlement on an order.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+Body
amountintegerRequired
paidAtstring · date-timeOptional
externalReferencestringOptional
paymentUidstringOptionalPattern:
^[A-Za-z0-9-_]*Responses
201
Example response
application/json
paymentUidstringRequiredPattern:
^[A-Za-z0-9-_]+amountintegerRequired
paidAtstring · date-timeRequired
externalReferencestringRequired
paymentSettlementUidstringRequiredPattern:
^[A-Za-z0-9-_]*orderReceiptUidstringRequiredPattern:
^[A-Za-z0-9-_]*createdAtstring · date-timeRequired
createdBystringRequired
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payments
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/settlements/{settlementUid}/payments HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 95
{
"amount": 1,
"paidAt": "2026-01-01T00:00:00.000Z",
"externalReference": "text",
"paymentUid": "text"
}201
Example response
{
"paymentUid": "text",
"amount": 1,
"paidAt": "2026-01-01T00:00:00.000Z",
"externalReference": "text",
"paymentSettlementUid": "text",
"orderReceiptUid": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text"
}Last updated
Was this helpful?

